Liferay.Loader.define("layout-seo-web@1.0.68/js/seo/display_page_templates/OpenGraphMapping", ['module', 'exports', 'require', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', './components/MappingInputs', './utils/lang'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = OpenGraphMapping;

    var _propTypes = require("frontend-js-react-web$prop-types");

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _MappingInputs = _interopRequireDefault(require("./components/MappingInputs"));

    var _lang = _interopRequireDefault(require("./utils/lang"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function OpenGraphMapping(_ref) {
      var fields = _ref.fields,
          openGraphDescription = _ref.openGraphDescription,
          openGraphImage = _ref.openGraphImage,
          openGraphImageAlt = _ref.openGraphImageAlt,
          openGraphTitle = _ref.openGraphTitle,
          portletNamespace = _ref.portletNamespace,
          selectedSource = _ref.selectedSource;
      return (/*#__PURE__*/_react.default.createElement(_MappingInputs.default, {
          fields: fields,
          inputs: [{
            fieldType: 'text',
            helpMessage: _lang.default.sub(Liferay.Language.get('map-a-x-field-it-will-be-used-as-x'), Liferay.Language.get('text'), Liferay.Language.get('title')),
            label: Liferay.Language.get('title'),
            name: "".concat(portletNamespace, "TypeSettingsProperties--mapped-openGraphTitle--"),
            selectedFieldKey: openGraphTitle
          }, {
            fieldType: 'text',
            helpMessage: _lang.default.sub(Liferay.Language.get('map-a-x-field-it-will-be-used-as-x'), Liferay.Language.get('text'), Liferay.Language.get('description')),
            label: Liferay.Language.get('description'),
            name: "".concat(portletNamespace, "TypeSettingsProperties--mapped-openGraphDescription--"),
            selectedFieldKey: openGraphDescription
          }, {
            fieldType: 'image',
            helpMessage: _lang.default.sub(Liferay.Language.get('map-a-x-field-it-will-be-used-as-x'), Liferay.Language.get('image'), Liferay.Language.get('image')),
            label: Liferay.Language.get('image'),
            name: "".concat(portletNamespace, "TypeSettingsProperties--mapped-openGraphImage--"),
            selectedFieldKey: openGraphImage
          }, {
            fieldType: 'text',
            helpMessage: _lang.default.sub(Liferay.Language.get('map-a-x-field-it-will-be-used-as-x'), Liferay.Language.get('text'), Liferay.Language.get('open-graph-image-alt-description')),
            label: Liferay.Language.get('open-graph-image-alt-description'),
            name: "".concat(portletNamespace, "TypeSettingsProperties--mapped-openGraphImageAlt--"),
            selectedFieldKey: openGraphImageAlt
          }],
          selectedSource: selectedSource
        })
      );
    }
    //# sourceMappingURL=OpenGraphMapping.js.map
  }
});
//# sourceMappingURL=OpenGraphMapping.js.map