Liferay.Loader.define("layout-seo-web@1.0.68/js/seo/display_page_templates/hooks/useOnClickOutside", ['module', 'exports', 'require', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = useOnClickOutside;

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var useEffect = _react.default.useEffect;

    function useOnClickOutside(elements, handler) {
      useEffect(function () {
        var listener = function listener(event) {
          /**
           * Detect clicks on elements or their descendent elements.
           */
          var filtered = elements.filter(function (element) {
            return element && element.contains(event.target);
          });

          if (!filtered.length) {
            handler(event);
          }
        };

        document.addEventListener('mousedown', listener);
        document.addEventListener('touchstart', listener);
        return function () {
          document.removeEventListener('mousedown', listener);
          document.removeEventListener('touchstart', listener);
        };
      }, [elements, handler]);
    }
    //# sourceMappingURL=useOnClickOutside.js.map
  }
});
//# sourceMappingURL=useOnClickOutside.js.map