Liferay.Loader.define('asset-list-web$dom-helpers@5.2.0/esm/offset', ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    import contains from './contains';
    import ownerDocument from './ownerDocument';
    import scrollLeft from './scrollLeft';
    import scrollTop from './scrollTop';
    export default function offset(node) {
      var doc = ownerDocument(node);
      var box = {
        top: 0,
        left: 0,
        height: 0,
        width: 0
      };
      var docElem = doc && doc.documentElement; // Make sure it's not a disconnected DOM node

      if (!docElem || !contains(docElem, node)) return box;
      if (node.getBoundingClientRect !== undefined) box = node.getBoundingClientRect();
      box = {
        top: box.top + scrollTop(docElem) - (docElem.clientTop || 0),
        left: box.left + scrollLeft(docElem) - (docElem.clientLeft || 0),
        width: box.width,
        height: box.height
      };
      return box;
    }
  }
});
//# sourceMappingURL=offset.js.map